Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1416277 - [abrt] abrt-addon-ccpp: download(): debuginfo.py:377:download:TypeError: unlink: path should be string, bytes or os.PathLike, not NoneType
Summary: [abrt] abrt-addon-ccpp: download(): debuginfo.py:377:download:TypeError: unli...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: abrt
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:bb74d4e1eb43c78ad6bb95202c0...
: 1473830 1476832 1478617 1480043 1485715 1488212 1493391 1502261 1515460 1541119 1597520 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-25 06:36 UTC by collura
Modified: 2018-07-03 07:43 UTC (History)
27 users (show)

Fixed In Version: abrt-2.10.5-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-11 03:12:52 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (3.72 KB, text/plain)
2017-01-25 06:36 UTC, collura
no flags Details
File: cgroup (239 bytes, text/plain)
2017-01-25 06:36 UTC, collura
no flags Details
File: environ (67 bytes, text/plain)
2017-01-25 06:36 UTC, collura
no flags Details
File: mountinfo (3.45 KB, text/plain)
2017-01-25 06:36 UTC, collura
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-25 06:36 UTC, collura
no flags Details
File: open_fds (1.05 KB, text/plain)
2017-01-25 06:36 UTC, collura
no flags Details

Description collura 2017-01-25 06:36:05 UTC
Version-Release number of selected component:
abrt-addon-ccpp-2.10.0-2.fc26

Additional info:
reporter:       libreport-2.9.0
cmdline:        /usr/bin/python3 -u /usr/bin/abrt-action-install-debuginfo --ids /proc/self/fd/3 --releasever 26 --tmpdir /var/tmp/abrt-tmp-debuginfo.7OYFOr --
crash_function: download
exception_type: TypeError
executable:     /usr/bin/abrt-action-install-debuginfo
kernel:         4.10.0-0.rc4.git2.1.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            173

Truncated backtrace:
debuginfo.py:377:download:TypeError: unlink: path should be string, bytes or os.PathLike, not NoneType

Traceback (most recent call last):
  File "/usr/bin/abrt-action-install-debuginfo", line 250, in <module>
    result = downloader.download(missing, download_exact_files=exact_fls)
  File "/usr/lib64/python3.6/site-packages/reportclient/debuginfo.py", line 377, in download
    os.unlink(package_full_path)
TypeError: unlink: path should be string, bytes or os.PathLike, not NoneType

Local variables in innermost frame:
err: 'Status code: 503 for https://mirrors.fedoraproject.org/metalink?repo=rawhide-debug&arch=x86_64'
package_full_path: None
pkg: <hawkey.Package object id 7309, libxcb-debuginfo-1.12-1.fc25.x86_64, rawhide-debuginfo>
progress_observer: <reportclient.debuginfo.DownloadProgress object at 0x7f9505ebbac8>
cache_space: 21197.53125
tmp_space: 21197.53125
res: os.statvfs_result(f_bsize=4096, f_frsize=4096, f_blocks=7708137, f_bfree=5823880, f_bavail=5426568, f_files=1966080, f_ffree=1760108, f_favail=1760108, f_flag=4096, f_namemax=255)
question: 'Downloading 0.86Mb, installed size: 7.12Mb. Continue?'
installed_size: 7469810.0
todownload_size: 906196.0
not_found: ['/usr/lib/debug/.build-id/f8/f0dca7216e01a3643839cc6a2a5212a358c559.debug', '/usr/lib/debug/.build-id/ad/a8046ee153b8bce1e8c416b9463c8a335b66d1.debug', '/usr/lib/debug/.build-id/c6/90be22e11a677bbf4c998863e6ccd7a52fccd6.debug', '/usr/lib/debug/.build-id/2a/7f839072dfb04ec59e2f4b7090e345f351e0f7.debug', '/usr/lib/debug/.build-id/90/de89bda1b91d528d0d8e0f0e9a03ddf4ca6911.debug', '/usr/lib/debug/.build-id/7f/15b8bcb29ac7b3f75d78dc31fc687daef8246f.debug', '/usr/lib/debug/.build-id/04/8bd7effc6209cae0f0285701926819457f730b.debug', '/usr/lib/debug/.build-id/4b/d7cc86a7380700fc6ddb6f34754f51b92974b5.debug', '/usr/lib/debug/.build-id/7d/5649fa5e51e7035c80f88f92531a8f289fa15b.debug', '/usr/lib/debug/.build-id/5b/4a054b1d4532a4ed52c42a32888580a0c7bab9.debug', '/usr/lib/debug/.build-id/f9/d76793108fc8a9c204177e15291a3690844257.debug', '/usr/lib/debug/.build-id/45/8be0fc7df5be65b71427b15a5d3f2dc1ac0f39.debug', '/usr/lib/debug/.build-id/4d/c0269361f860c248aec01ac055db9b104f7caf.debug', '/usr/lib/debug/.build-id/5f/eb0dd6b64e72a99f0cce7333a717e991bd4348.debug', '/usr/lib/debug/.build-id/c4/f5a764e78c04e4220df9dd3ce5a348ff8958b4.debug', '/usr/lib/debug/.build-id/15/d43c6e7fbf925a0f6102bc20da8b8b94a1c65f.debug', '/usr/lib/debug/.build-id/b8/919cda9c39efbe8ef7ab8f6dc65ee88346466a.debug', '/usr/lib/debug/.build-id/bb/22ae032f425388e392fe5e0ff4f52d373f3cb2.debug', '/usr/lib/debug/.build-id/55/ba8f56211da8d475189ad1ef4ee919a858d481.debug', '/usr/lib/debug/.build-id/6b/59bd28f363a6f0db33259bca3337729831dae5.debug', '/usr/lib/debug/.build-id/45/7170c56a72401af502ceda39c018948722cc50.debug', '/usr/lib/debug/.build-id/2b/4d66632dad702e0fe388b01a344a21c39595f1.debug', '/usr/lib/debug/.build-id/af/329103744d59894081b539e8379803617548b6.debug', '/usr/lib/debug/.build-id/34/a130549124511a0bed0ad4728353ab3456d575.debug', '/usr/lib/debug/.build-id/a7/160b262905cf1dcb88973d2cf308f43cb53ac5.debug', '/usr/lib/debug/.build-id/a7/77148997bd5a9bab77b59ab7612d7e5d8795ee.debug', '/usr/lib/debug/.build-id/fd/78c041581d8e694095a6119c2b941418e54e5f.debug']
package_files_dict: {<hawkey.Package object id 7309, libxcb-debuginfo-1.12-1.fc25.x86_64, rawhide-debuginfo>: ['/usr/lib/debug/.build-id/19/58d030c14520691fedf878502ff6c5806eaaa5.debug'], <hawkey.Package object id 5985, libXxf86vm-debuginfo-1.1.4-3.fc24.x86_64, rawhide-debuginfo>: ['/usr/lib/debug/.build-id/e9/2a9d77ad26b622f956805d1acfcd0c9851827d.debug']}
retval: 0
download_exact_files: False
files: ['/usr/lib/debug/.build-id/19/58d030c14520691fedf878502ff6c5806eaaa5.debug']
self: <reportclient.dnfdebuginfo.DNFDebugInfoDownload object at 0x7f950c92e278>

Comment 1 collura 2017-01-25 06:36:12 UTC
Created attachment 1244164 [details]
File: backtrace

Comment 2 collura 2017-01-25 06:36:13 UTC
Created attachment 1244165 [details]
File: cgroup

Comment 3 collura 2017-01-25 06:36:15 UTC
Created attachment 1244166 [details]
File: environ

Comment 4 collura 2017-01-25 06:36:16 UTC
Created attachment 1244167 [details]
File: mountinfo

Comment 5 collura 2017-01-25 06:36:17 UTC
Created attachment 1244168 [details]
File: namespaces

Comment 6 collura 2017-01-25 06:36:18 UTC
Created attachment 1244169 [details]
File: open_fds

Comment 7 Fedora End Of Life 2017-02-28 11:02:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 8 Gwendal 2017-06-27 14:07:38 UTC
Similar problem has been detected:

I think that I lost my internet connection during the process, which may have caused the crash.

reporter:       libreport-2.9.1
cmdline:        /usr/bin/python3 -u /usr/bin/abrt-action-install-debuginfo --ids /proc/self/fd/3 --releasever 26 --tmpdir /var/tmp/abrt-tmp-debuginfo.qN5kRK --
crash_function: download
exception_type: TypeError
executable:     /usr/bin/abrt-action-install-debuginfo
kernel:         4.11.6-301.fc26.x86_64
package:        abrt-addon-ccpp-2.10.3-1.fc26
reason:         debuginfo.py:377:download:TypeError: unlink: path should be string, bytes or os.PathLike, not NoneType
runlevel:       N 5
type:           Python3
uid:            173

Comment 9 javiertury 2017-07-20 22:04:34 UTC
Similar problem has been detected:

Pulseaudio crashed, so after that I went to upload a report to bugzilla using the abrt tool. The pulseaudio coredump was quite big, around 1.3GB, and the computer was unresponsive after beginning to report the crash with abrt. It said that I couldn't upload the coredump because it was larger than 1.2GB so it had to generate locally a trace. For this it needed to download some packages which I agreed. At this point the computer was barely responsive. Then abrt crashed as well.

reporter:       libreport-2.9.1
cmdline:        /usr/bin/python3 -u /usr/bin/abrt-action-install-debuginfo --ids /proc/self/fd/3 --releasever 26 --tmpdir /var/tmp/abrt-tmp-debuginfo.6nRRXh --
crash_function: download
exception_type: TypeError
executable:     /usr/bin/abrt-action-install-debuginfo
kernel:         4.11.10-300.fc26.x86_64
package:        abrt-addon-ccpp-2.10.3-1.fc26
reason:         debuginfo.py:377:download:TypeError: unlink: path should be string, bytes or os.PathLike, not NoneType
runlevel:       N 5
type:           Python3
uid:            173

Comment 10 Bruno Vernay 2017-07-21 19:47:09 UTC
*** Bug 1473830 has been marked as a duplicate of this bug. ***

Comment 11 Tim Waugh 2017-07-22 17:41:05 UTC
Similar problem has been detected:

Reporting a bug.

reporter:       libreport-2.9.1
cmdline:        /usr/bin/python3 -u /usr/bin/abrt-action-install-debuginfo --ids /proc/self/fd/3 --releasever 26 --tmpdir /var/tmp/abrt-tmp-debuginfo.Bwmmwn --
crash_function: download
exception_type: TypeError
executable:     /usr/bin/abrt-action-install-debuginfo
kernel:         4.11.10-300.fc26.x86_64
package:        abrt-addon-ccpp-2.10.3-1.fc26
reason:         debuginfo.py:377:download:TypeError: unlink: path should be string, bytes or os.PathLike, not NoneType
runlevel:       N 5
type:           Python3
uid:            173

Comment 12 Alex NG 2017-07-31 14:48:05 UTC
*** Bug 1476832 has been marked as a duplicate of this bug. ***

Comment 13 a.ahanj 2017-08-05 05:54:36 UTC
*** Bug 1478617 has been marked as a duplicate of this bug. ***

Comment 14 hsushipei1 2017-08-10 01:28:55 UTC
*** Bug 1480043 has been marked as a duplicate of this bug. ***

Comment 15 Bruno Thomsen 2017-08-15 08:40:14 UTC
Similar problem has been detected:

I was trying to report a firefox crash and this happened during install of missing packages to do local backtrace.

reporter:       libreport-2.9.1
cmdline:        /usr/bin/python3 -u /usr/bin/abrt-action-install-debuginfo --ids /proc/self/fd/3 --releasever 26 --tmpdir /var/tmp/abrt-tmp-debuginfo.NlGPrG --
crash_function: download
exception_type: TypeError
executable:     /usr/bin/abrt-action-install-debuginfo
kernel:         4.11.11-300.fc26.x86_64
package:        abrt-addon-ccpp-2.10.3-1.fc26
reason:         debuginfo.py:377:download:TypeError: unlink: path should be string, bytes or os.PathLike, not NoneType
runlevel:       N 5
type:           Python3
uid:            173

Comment 16 hernantz 2017-08-27 13:17:11 UTC
*** Bug 1485715 has been marked as a duplicate of this bug. ***

Comment 17 Christian Stadelmann 2017-09-04 16:58:31 UTC
*** Bug 1488212 has been marked as a duplicate of this bug. ***

Comment 18 abrt 2017-09-05 11:22:43 UTC
Thank you for the reports.
I've found a way to replicate this:
Prerequisites: Make sure that debuginfos for the crashed component are missing
1) Try to report crash
2) Answer NO to get into local retracing
3) When asked if you want to download debuginfos turn off you internet connection
4) Answer yes

Since I was able to replicate and test this, I've made a simple fix
https://github.com/abrt/libreport/commit/60c8ec5 in upstream

Comment 19 Eugene.Dolgoff 2017-09-20 05:57:40 UTC
*** Bug 1493391 has been marked as a duplicate of this bug. ***

Comment 20 Matej Marušák 2017-10-15 16:11:57 UTC
*** Bug 1502261 has been marked as a duplicate of this bug. ***

Comment 21 Fedora Update System 2017-11-03 14:41:35 UTC
abrt-2.10.5-1.fc27 libreport-2.9.3-1.fc27 satyr-0.24-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-93746c426a

Comment 22 Fedora Update System 2017-11-04 19:05:51 UTC
abrt-2.10.5-1.fc27, libreport-2.9.3-1.fc27, satyr-0.24-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-93746c426a

Comment 23 Fedora Update System 2017-11-11 03:12:52 UTC
abrt-2.10.5-1.fc27, libreport-2.9.3-1.fc27, satyr-0.24-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 z.d 2017-11-20 20:07:11 UTC
*** Bug 1515460 has been marked as a duplicate of this bug. ***

Comment 25 Dario 2018-02-01 18:24:24 UTC
*** Bug 1541119 has been marked as a duplicate of this bug. ***

Comment 26 Jasper O'neal Hartline 2018-07-03 06:48:37 UTC
Similar problem has been detected:

--- Running report_uReport ---
('report_uReport' completed successfully)

--- Running analyze_CCpp ---
Ok to upload core dump? (It may contain sensitive data). If your answer is 'No', a stack trace will be generated locally. (It may download a huge amount of data). 'YES'
Querying server settings
Retrace server is unable to process package 'control-center-3.26.1-1.fc27.x86_64'.
Is it a part of official 'Fedora 27 (Workstation Edition)' repositories?
Unknown package sent to Retrace server.
Do you want to generate a stack trace locally? (It may download a huge amount of data but reporting can't continue without stack trace). 'YES'
Analyzing coredump 'coredump'
Coredump references 288 debuginfo files, 130 of them are not installed
Initializing package manager
Setting up repositories
Looking for needed packages in repositories
Packages to download: 59
Downloading 1084.76Mb, installed size: 4068.22Mb. Continue? 'YES'
Downloading (1 of 59) gstreamer1-plugins-bad-free-debuginfo-1.12.3-1.fc27.x86_64.rpm:  48%
Downloading (1 of 59) gstreamer1-plugins-bad-free-debuginfo-1.12.3-1.fc27.x86_64.rpm:  85%
Downloading (1 of 59) gstreamer1-plugins-bad-free-debuginfo-1.12.3-1.fc27.x86_64.rpm: 100%
Extracting cpio from /var/tmp/dnf-abrt-h0azwjoo/fedora-debuginfo-8fdd178160cf0a84/packages/gstreamer1-plugins-bad-free-debuginfo-1.12.3-1.fc27.x86_64.rpm
Caching files from unpacked.cpio made from gstreamer1-plugins-bad-free-debuginfo-1.12.3-1.fc27.x86_64.rpm
Downloading (2 of 59) libwayland-server-debuginfo-1.14.0-1.fc27.x86_64.rpm: 100%
Extracting cpio from /var/tmp/dnf-abrt-h0azwjoo/fedora-debuginfo-8fdd178160cf0a84/packages/libwayland-server-debuginfo-1.14.0-1.fc27.x86_64.rpm
Caching files from unpacked.cpio made from libwayland-server-debuginfo-1.14.0-1.fc27.x86_64.rpm
Downloading (3 of 59) samba-client-libs-debuginfo-4.7.0-12.fc27.x86_64.rpm:  18%
Downloading (3 of 59) samba-client-libs-debuginfo-4.7.0-12.fc27.x86_64.rpm:  36%
Downloading (3 of 59) samba-client-libs-debuginfo-4.7.0-12.fc27.x86_64.rpm:  53%
Downloading (3 of 59) samba-client-libs-debuginfo-4.7.0-12.fc27.x86_64.rpm:  72%
Downloading (3 of 59) samba-client-libs-debuginfo-4.7.0-12.fc27.x86_64.rpm:  90%
Downloading (3 of 59) samba-client-libs-debuginfo-4.7.0-12.fc27.x86_64.rpm: 100%
Extracting cpio from /var/tmp/dnf-abrt-h0azwjoo/fedora-debuginfo-8fdd178160cf0a84/packages/samba-client-libs-debuginfo-4.7.0-12.fc27.x86_64.rpm
Caching files from unpacked.cpio made from samba-client-libs-debuginfo-4.7.0-12.fc27.x86_64.rpm
Downloading (4 of 59) librsvg2-debuginfo-2.40.19-1.fc27.x86_64.rpm: 100%
Extracting cpio from /var/tmp/dnf-abrt-h0azwjoo/fedora-debuginfo-8fdd178160cf0a84/packages/librsvg2-debuginfo-2.40.19-1.fc27.x86_64.rpm
Caching files from unpacked.cpio made from librsvg2-debuginfo-2.40.19-1.fc27.x86_64.rpm
Downloading (5 of 59) libwbclient-debuginfo-4.7.0-12.fc27.x86_64.rpm: 100%
Extracting cpio from /var/tmp/dnf-abrt-h0azwjoo/fedora-debuginfo-8fdd178160cf0a84/packages/libwbclient-debuginfo-4.7.0-12.fc27.x86_64.rpm
Caching files from unpacked.cpio made from libwbclient-debuginfo-4.7.0-12.fc27.x86_64.rpm
Downloading (6 of 59) libsmbclient-debuginfo-4.7.0-12.fc27.x86_64.rpm: 100%
Extracting cpio from /var/tmp/dnf-abrt-h0azwjoo/fedora-debuginfo-8fdd178160cf0a84/packages/libsmbclient-debuginfo-4.7.0-12.fc27.x86_64.rpm
Caching files from unpacked.cpio made from libsmbclient-debuginfo-4.7.0-12.fc27.x86_64.rpm
Downloading (7 of 59) libtdb-debuginfo-1.3.15-1.fc27.x86_64.rpm: 100%
Extracting cpio from /var/tmp/dnf-abrt-h0azwjoo/fedora-debuginfo-8fdd178160cf0a84/packages/libtdb-debuginfo-1.3.15-1.fc27.x86_64.rpm
Caching files from unpacked.cpio made from libtdb-debuginfo-1.3.15-1.fc27.x86_64.rpm
Downloading (8 of 59) cogl-debuginfo-1.22.2-7.fc27.x86_64.rpm: 100%
Extracting cpio from /var/tmp/dnf-abrt-h0azwjoo/fedora-debuginfo-8fdd178160cf0a84/packages/cogl-debuginfo-1.22.2-7.fc27.x86_64.rpm
Caching files from unpacked.cpio made from cogl-debuginfo-1.22.2-7.fc27.x86_64.rpm
Downloading (9 of 59) control-center-debuginfo-3.26.1-1.fc27.x86_64.rpm: 100%
Extracting cpio from /var/tmp/dnf-abrt-h0azwjoo/fedora-debuginfo-8fdd178160cf0a84/packages/control-center-debuginfo-3.26.1-1.fc27.x86_64.rpm
Caching files from unpacked.cpio made from control-center-debuginfo-3.26.1-1.fc27.x86_64.rpm
Downloading (10 of 59) colord-gtk-debuginfo-0.1.26-6.fc27.x86_64.rpm: 100%
Extracting cpio from /var/tmp/dnf-abrt-h0azwjoo/fedora-debuginfo-8fdd178160cf0a84/packages/colord-gtk-debuginfo-0.1.26-6.fc27.x86_64.rpm
Caching files from unpacked.cpio made from colord-gtk-debuginfo-0.1.26-6.fc27.x86_64.rpm
Downloading (11 of 59) rest-debuginfo-0.8.0-4.fc27.x86_64.rpm: 100%
Extracting cpio from /var/tmp/dnf-abrt-h0azwjoo/fedora-debuginfo-8fdd178160cf0a84/packages/rest-debuginfo-0.8.0-4.fc27.x86_64.rpm
Caching files from unpacked.cpio made from rest-debuginfo-0.8.0-4.fc27.x86_64.rpm
Traceback (most recent call last):
  File "/usr/bin/abrt-action-install-debuginfo", line 250, in <module>
    result = downloader.download(missing, download_exact_files=exact_fls)
  File "/usr/lib64/python3.6/site-packages/reportclient/debuginfo.py", line 377, in download
    os.unlink(package_full_path)
TypeError: unlink: path should be string, bytes or os.PathLike, not NoneType

No processing for event 'analyze_BodhiUpdates' is defined

reporter:       libreport-2.9.2
cmdline:        /usr/bin/python3 -u /usr/bin/abrt-action-install-debuginfo --ids /proc/self/fd/3 --releasever 27 --tmpdir /var/tmp/abrt-tmp-debuginfo.kgPjlH --
crash_function: download
exception_type: TypeError
executable:     /usr/bin/abrt-action-install-debuginfo
kernel:         4.16.14-200.fc27.x86_64
package:        abrt-addon-ccpp-2.10.4-3.fc27
reason:         debuginfo.py:377:download:TypeError: unlink: path should be string, bytes or os.PathLike, not NoneType
runlevel:       N 5
type:           Python3
uid:            173

Comment 27 Matej Marušák 2018-07-03 07:43:31 UTC
*** Bug 1597520 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.